#
# qmake configuration for linux-g++ with modifications for building with OpenEmbedded
#

MAKEFILE_GENERATOR = UNIX
CONFIG += incremental
QMAKE_INCREMENTAL_STYLE = sublib

include(../common/linux.conf)

# QMAKE_<TOOL> (moc, uic, rcc) are gone, overwrite only ar and strip
QMAKE_AR              = $$(OE_QMAKE_AR) cqs
QMAKE_STRIP           = $$(OE_QMAKE_STRIP)

include(../common/gcc-base-unix.conf)

# *FLAGS from gcc-base.conf
QMAKE_CFLAGS                += $$(OE_QMAKE_CFLAGS)
QMAKE_CXXFLAGS              += $$(OE_QMAKE_CXXFLAGS)
QMAKE_LFLAGS                += $$(OE_QMAKE_LDFLAGS)

include(../common/g++-unix.conf)

# tc settings from g++-base.conf
QMAKE_CC       = $$(OE_QMAKE_CC)
QMAKE_CXX      = $$(OE_QMAKE_CXX)

QMAKE_LINK         = $$(OE_QMAKE_LINK)
QMAKE_LINK_SHLIB   = $$(OE_QMAKE_LINK)
QMAKE_LINK_C       = $$(OE_QMAKE_LINK)
QMAKE_LINK_C_SHLIB = $$(OE_QMAKE_LINK)
QMAKE_CFLAGS_ISYSTEM =
# for the SDK
isEmpty(QMAKE_QT_CONFIG):QMAKE_QT_CONFIG = $$(OE_QMAKE_QT_CONFIG)

include(../oe-device-extra.pri)

load(device_config)
load(qt_config)

# default compiler options which can be overwritten from the environment
isEmpty(QMAKE_AR): QMAKE_AR = aarch64-xilinx-linux-gcc-ar cqs
isEmpty(QMAKE_CC): QMAKE_CC = aarch64-xilinx-linux-gcc -march=armv8-a+crc -mtune=cortex-a72.cortex-a53 -fstack-protector-strong -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security 
isEmpty(QMAKE_CFLAGS): QMAKE_CFLAGS =  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/scratch/petalinux-yocto/yocto_downloads_2020.1_zynqmp-generic/build_versal-generic/tmp/work/aarch64-xilinx-linux/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0=/usr/src/debug/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0                      -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_downloads_2020.1_zynqmp-generic/build_versal-generic/tmp/work/aarch64-xilinx-linux/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0=/usr/src/debug/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0                      -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_downloads_2020.1_zynqmp-generic/build_versal-generic/tmp/work/aarch64-xilinx-linux/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0/recipe-sysroot=                      -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_downloads_2020.1_zynqmp-generic/build_versal-generic/tmp/work/aarch64-xilinx-linux/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0/recipe-sysroot-native= 
isEmpty(QMAKE_CXX): QMAKE_CXX = aarch64-xilinx-linux-g++ -march=armv8-a+crc -mtune=cortex-a72.cortex-a53 -fstack-protector-strong -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security 
isEmpty(QMAKE_CXXFLAGS): QMAKE_CXXFLAGS =  -O2 -pipe -g -feliminate-unused-debug-types -fmacro-prefix-map=/scratch/petalinux-yocto/yocto_downloads_2020.1_zynqmp-generic/build_versal-generic/tmp/work/aarch64-xilinx-linux/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0=/usr/src/debug/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0                      -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_downloads_2020.1_zynqmp-generic/build_versal-generic/tmp/work/aarch64-xilinx-linux/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0=/usr/src/debug/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0                      -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_downloads_2020.1_zynqmp-generic/build_versal-generic/tmp/work/aarch64-xilinx-linux/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0/recipe-sysroot=                      -fdebug-prefix-map=/scratch/petalinux-yocto/yocto_downloads_2020.1_zynqmp-generic/build_versal-generic/tmp/work/aarch64-xilinx-linux/qtbase/5.13.2+gitAUTOINC+a7a24784ee-r0/recipe-sysroot-native=  -fvisibility-inlines-hidden
isEmpty(QMAKE_LINK): QMAKE_LINK = aarch64-xilinx-linux-g++ -march=armv8-a+crc -mtune=cortex-a72.cortex-a53 -fstack-protector-strong -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security 
isEmpty(QMAKE_LINK_SHLIB): QMAKE_LINK_SHLIB = aarch64-xilinx-linux-g++ -march=armv8-a+crc -mtune=cortex-a72.cortex-a53 -fstack-protector-strong -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security 
isEmpty(QMAKE_LINK_C): QMAKE_LINK_C = aarch64-xilinx-linux-g++ -march=armv8-a+crc -mtune=cortex-a72.cortex-a53 -fstack-protector-strong -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security 
isEmpty(QMAKE_LINK_C_SHLIB): QMAKE_LINK_C_SHLIB = aarch64-xilinx-linux-g++ -march=armv8-a+crc -mtune=cortex-a72.cortex-a53 -fstack-protector-strong -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security 
isEmpty(QMAKE_LFLAGS): QMAKE_LFLAGS = -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -fstack-protector-strong -Wl,-z,relro,-z,now
isEmpty(QMAKE_STRIP): QMAKE_STRIP = aarch64-xilinx-linux-strip
isEmpty(CC_host): CC_host = gcc
isEmpty(CXX_host): CXX_host = g++
isEmpty(LD_host): LD_host = g++
